def hauteur(self):
    # -2 si les sous-arbres n'existent pas
    hauteur_gauche = -2
    hauteur_droite = -2

    # Vérifier si le sous-arbre gauche existe
    if self.filsGauche is not None:
        hauteur_gauche = self.filsGauche.hauteur()

    # Vérifier si le sous-arbre droit existe
    if self.filsDroit is not None:
        hauteur_droite = self.filsDroit.hauteur()

    # Retourner la hauteur maximale+1
    return 1 + max(hauteur_gauche, hauteur_droite)
